FREEFOAM-SURFACETRANSFORMPOINTS(1)

NAME
freefoam-surfaceTransformPoints - Transform (scale/rotate) a surface.

SYNOPSIS

freefoam surfaceTransformPoints <Foam surface file> <surface output file> [-yawPitchRoll <(yaw pitch roll)>] [-help] [-scale <vector (sx sy sz)>] [-srcDoc] [-doc] [-rollPitchYaw <(roll pitch yaw)>] [-translate <vector>] [-rotate <(vector vector)>] [-case <dir>]

DESCRIPTION

Like transformPoints but then for surfaces. The rollPitchYaw option takes three angles (degrees): - roll (rotation about x) followed by - pitch (rotation about y) followed by - yaw (rotation about z)

The yawPitchRoll does yaw followed by pitch followed by roll.

OPTIONS

<Foam surface file>
    TODO Detailed description of argument.

<surface output file>
    TODO Detailed description of argument.

-translate <vector>
    Translation vector.

-rollPitchYaw <(roll pitch yaw)>
    Rotation angles.

-yawPitchRoll <(yaw pitch roll)>
    Rotation angles.

-rotate <(vector vector)>
    Rotate from first to second direction.

-scale <vector (sx sy sz)>
    Scaling factors in x, y and z direction.

-case <dir>
    Case directory.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.